Package org.drinkless.tdlib

# Class TdApi.UpdateMessageIsPinned

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateMessageIsPinned

Enclosing class:
  `TdApi`

public static class TdApi.UpdateMessageIsPinned extends TdApi.Update
The message pinned state was changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPinned`
  True, if the message is pinned.
  `long`
  `messageId`
  The message identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateMessageIsPinned()`
  The message pinned state was changed.
  `UpdateMessageIsPinned(long chatId, long messageId, boolean isPinned)`
  The message pinned state was changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    The message identifier.

  - ### isPinned

    public boolean isPinned
    True, if the message is pinned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateMessageIsPinned

    public UpdateMessageIsPinned()
    The message pinned state was changed.

  - ### UpdateMessageIsPinned

    public UpdateMessageIsPinned(long chatId, long messageId, boolean isPinned)
    The message pinned state was changed.
    Parameters:
      `chatId` - Chat identifier.
      `messageId` - The message identifier.
      `isPinned` - True, if the message is pinned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR